;BTConvert v10 by Tritonio
;Copyright 2010-2011 Konstantinos Asimakis
;http://inshame.blogspot.com
;Do whatever you want with it, just don't blame me for anything.
;BTC tips to: 1JmiWV8jkReYYKfpNZvN5YaCRnwtMVk4ce :-)
;
; Changelog:
; v1  Initial version.
; v2  Added AUD.
;     Added refresh button.
; v3  Some timers changed.
;     Added link to bitcoin.org when someone clicks on his label.
; v4  Users that click refresh too often are asked if they are sure.
;     Added Linden dollar and Pecunix.
;     All labels are links to related pages.
; v5  Changed Lindel dollar source.
;     Fixed a bug with manual refresh warning.
;     Limited the decimal digits to something sensible.
; v6  Added RUB and CAD.
;     Fixed the LD label link.
;     No more beeps. Instead it will show a persistent message that something went wrong.
; v7  Andrzej added PLN. Thanks for that Andrzej. :-)
;     Stores the last update time in the INI so that exiting and running the program soon won't cause an update.
; v8  Docks in tray.
;     No longer asks if you refresh the rates very often.
; v9  Support for the new Mt Gox ticker data.
; v10 Fixed last version because it broke.
;     Data for most currencies is taken from: http://openexchangerates.org/latest.json
;     Changed BTC decimals to 4. (0.0001

#AutoIt3Wrapper_Icon = ".\bitcoin.ico"
#AutoIt3Wrapper_Compression = 4
#AutoIt3Wrapper_UseUpx = no
Opt("TrayAutoPause", 0)
Opt("TrayMenuMode", 1)
Opt("TrayOnEventMode", 1)

$combined = ""

Func restore()
	GUISetState(@SW_SHOW)
EndFunc   ;==>restore

Func quit()
	If MsgBox(4 + 32, "BTConvert", "Quit?") == 6 Then Exit
EndFunc   ;==>quit

TraySetOnEvent(-7, "restore")
TraySetOnEvent(-9, "quit")
TraySetToolTip("BTConvert. Click to show, right click to exit.")

Func getcombined()
	$combined = InetRead("http://openexchangerates.org/latest.json", 1)
EndFunc   ;==>getcombined

Func getUSDperGAU()
	GUICtrlSetData($StatusLabel, "Updating USD/GAU rate...")
	$data = InetRead("http://dgcsc.org/goldprices.htm", 1)
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/GAU.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "GAU", -1)
	EndIf
	$matches = StringRegExp(BinaryToString($data), "(?s)<b>USD</b>.+?&nbsp;(.+?)&nbsp;.+?&nbsp;(.+?)&nbsp;", 1)
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/GAU.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "GAU", -1)
	EndIf
	IniWrite("BTConvert.ini", "rates", "GAU", ($matches[0] + $matches[1]) / 2)
	Return ($matches[0] + $matches[1]) / 2
EndFunc   ;==>getUSDperGAU

Func getUSDperLD()
	GUICtrlSetData($StatusLabel, "Updating USD/LD rate...")
	;$data = InetRead("http://secondlife.com/statistics/economy-market.php", 1)
	$data = InetRead("https://www.virwox.com/", 1)
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/LD.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "LD", -1)
	EndIf
	;$matches = StringRegExp(BinaryToString($data), "(?s)<tr class=""currency_data_row"">.+?<td nowrap>.+?</td>.+?<td>.+?</td>.+?<td>.+?</td>.+?<td>.+?</td>.+?<td>.+?</td>.+?<td>(.+?)</td>", 1)
	$matches = StringRegExp(BinaryToString($data), "(?s)<th.+?>USD/SLL</th><td.+?>(.+?)</td><td.+?>(.+?)</td>", 1)
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/LD.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "LD", -1)
	EndIf
	$matches[0] = 2 / ($matches[0] + $matches[1])
	IniWrite("BTConvert.ini", "rates", "LD", 2 / ($matches[0] + $matches[1]))
	Return $matches[0]
EndFunc   ;==>getUSDperLD

Func getUSDperBTC()
	GUICtrlSetData($StatusLabel, "Updating USD/BTC rate...")
	$data = InetRead("https://mtgox.com/code/ticker.php", 1)
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/BTC.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "BTC", -1)
	EndIf
	$matches = StringRegExp(BinaryToString($data), "avg"":(.+?),", 1)
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/BTC.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "BTC", -1)
	EndIf
	$avg = $matches[0]
	IniWrite("BTConvert.ini", "rates", "BTC", $avg)
	Return $avg
EndFunc   ;==>getUSDperBTC

Func getUSDperEUR()
	Global $combined
	GUICtrlSetData($StatusLabel, "Updating USD/EUR rate...")
	$data = $combined
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/EUR.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "EUR", -1)
	EndIf
	$matches = StringRegExp(BinaryToString($data), """EUR"": (.+?),", 1)
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/EUR.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "EUR", -1)
	EndIf
	IniWrite("BTConvert.ini", "rates", "EUR", 1 / $matches[0])
	Return 1 / $matches[0]
EndFunc   ;==>getUSDperEUR

Func getUSDperGBP()
	GUICtrlSetData($StatusLabel, "Updating USD/GBP rate...")
	$data = $combined
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/GBP.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "GBP", -1)
	EndIf
	$matches = StringRegExp(BinaryToString($data), """GBP"": (.+?),", 1)
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/GBP.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "GBP", -1)
	EndIf
	IniWrite("BTConvert.ini", "rates", "GBP", 1 / $matches[0])
	Return 1 / $matches[0]
EndFunc   ;==>getUSDperGBP

Func getUSDperRUB()
	GUICtrlSetData($StatusLabel, "Updating USD/RUB rate...")
	$data = $combined
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/RUB.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "RUB", -1)
	EndIf
	$matches = StringRegExp(BinaryToString($data), """RUB"": (.+?),", 1)
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/RUB.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "RUB", -1)
	EndIf
	IniWrite("BTConvert.ini", "rates", "RUB", 1 / $matches[0])
	Return 1 / $matches[0]
EndFunc   ;==>getUSDperRUB

Func getUSDperCAD()
	GUICtrlSetData($StatusLabel, "Updating USD/CAD rate...")
	$data = $combined
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/CAD.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "CAD", -1)
	EndIf
	$matches = StringRegExp(BinaryToString($data), """CAD"": (.+?),", 1)
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/CAD.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "CAD", -1)
	EndIf
	IniWrite("BTConvert.ini", "rates", "CAD", 1 / $matches[0])
	Return 1 / $matches[0]
EndFunc   ;==>getUSDperCAD

Func getUSDperAUD()
	GUICtrlSetData($StatusLabel, "Updating USD/AUD rate...")
	$data = $combined
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/AUD.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "AUD", -1)
	EndIf
	$matches = StringRegExp(BinaryToString($data), """AUD"": (.+?),", 1)
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/AUD.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "AUD", -1)
	EndIf
	IniWrite("BTConvert.ini", "rates", "AUD", 1 / $matches[0])
	Return 1 / $matches[0]
EndFunc   ;==>getUSDperAUD

Func getUSDperPLN()
	GUICtrlSetData($StatusLabel, "Updating USD/PLN rate...")
	$data = $combined
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/PLN.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "PLN", -1)
	EndIf
	$matches = StringRegExp(BinaryToString($data), """PLN"": (.+?),", 1)
	If @error Then
		GUICtrlSetData($StatusLabel, "Failed to update USD/PLN.")
		$bad = True
		Sleep(2000)
		Return IniRead("BTConvert.ini", "rates", "PLN", -1)
	EndIf
	IniWrite("BTConvert.ini", "rates", "PLN", 1 / $matches[0])
	Return 1 / $matches[0]
EndFunc   ;==>getUSDperPLN

#include <ButtonConstants.au3>
#include <EditConstants.au3>
#include <GUIConstantsEx.au3>
#include <StaticConstants.au3>
#include <WindowsConstants.au3>

Opt("GUIOnEventMode", 1)
#region ### START Koda GUI section ###
$BTConvert = GUICreate("BTConvert", 403, 168, 317, 170)
GUISetOnEvent($GUI_EVENT_CLOSE, "BTConvertClose")
GUISetOnEvent($GUI_EVENT_MINIMIZE, "BTConvertMinimize")
GUISetOnEvent($GUI_EVENT_MAXIMIZE, "BTConvertMaximize")
GUISetOnEvent($GUI_EVENT_RESTORE, "BTConvertRestore")
$BTC = GUICtrlCreateLabel("BTC", 8, 8, 35, 24)
GUICtrlSetFont(-1, 12, 400, 0, "Arial Unicode MS")
GUICtrlSetOnEvent(-1, "BTClabelClick")
$BTCinput = GUICtrlCreateInput("0", 48, 8, 145, 21)
GUICtrlSetOnEvent(-1, "BTCinputChange")
$USDlabel = GUICtrlCreateLabel("US$", 8, 32, 37, 24)
GUICtrlSetFont(-1, 12, 400, 0, "Arial Unicode MS")
GUICtrlSetOnEvent(-1, "USDlabelClick")
$USDinput = GUICtrlCreateInput("0", 48, 32, 145, 21)
GUICtrlSetOnEvent(-1, "USDinputChange")
$EURlabel = GUICtrlCreateLabel(ChrW(Dec("20AC")), 24, 56, 21, 24)
GUICtrlSetFont(-1, 12, 400, 0, "Arial Unicode MS")
GUICtrlSetOnEvent(-1, "EURlabelClick")
$EURinput = GUICtrlCreateInput("0", 48, 56, 145, 21)
GUICtrlSetOnEvent(-1, "EURinputChange")
$GBPlabel = GUICtrlCreateLabel(ChrW(Dec("00A3")), 24, 80, 21, 24)
GUICtrlSetFont(-1, 12, 400, 0, "Arial Unicode MS")
GUICtrlSetOnEvent(-1, "GBPlabelClick")
$GBPinput = GUICtrlCreateInput("0", 48, 80, 145, 21)
GUICtrlSetOnEvent(-1, "GBPinputChange")
$AUDlabel = GUICtrlCreateLabel("AU$", 8, 104, 37, 24)
GUICtrlSetFont(-1, 12, 400, 0, "Arial Unicode MS")
GUICtrlSetOnEvent(-1, "AUDlabelClick")
$AUDinput = GUICtrlCreateInput("0", 48, 104, 145, 21)
GUICtrlSetOnEvent(-1, "AUDinputChange")
$LDlabel = GUICtrlCreateLabel("L$", 216, 8, 21, 24)
GUICtrlSetFont(-1, 12, 400, 0, "Arial Unicode MS")
GUICtrlSetOnEvent(-1, "LDlabelClick")
$LDinput = GUICtrlCreateInput("0", 248, 8, 145, 21)
GUICtrlSetOnEvent(-1, "LDinputChange")
$GAUlabel = GUICtrlCreateLabel("GAU", 208, 32, 37, 24)
GUICtrlSetFont(-1, 12, 400, 0, "Arial Unicode MS")
GUICtrlSetOnEvent(-1, "GAUlabelClick")
$GAUinput = GUICtrlCreateInput("0", 248, 32, 145, 21)
GUICtrlSetOnEvent(-1, "GAUinputChange")
$RUBlabel = GUICtrlCreateLabel("RUB", 208, 56, 37, 24)
GUICtrlSetFont(-1, 12, 400, 0, "Arial Unicode MS")
GUICtrlSetOnEvent(-1, "RUBlabelClick")
$RUBinput = GUICtrlCreateInput("0", 248, 56, 145, 21)
GUICtrlSetOnEvent(-1, "RUBinputChange")
$CADlabel = GUICtrlCreateLabel("C$", 216, 80, 21, 24)
GUICtrlSetFont(-1, 12, 400, 0, "Arial Unicode MS")
GUICtrlSetOnEvent(-1, "CADlabelClick")
$CADinput = GUICtrlCreateInput("0", 248, 80, 145, 21)
GUICtrlSetOnEvent(-1, "CADinputChange")
$PLNlabel = GUICtrlCreateLabel("PLN", 208, 104, 37, 24)
GUICtrlSetFont(-1, 12, 400, 0, "Arial Unicode MS")
GUICtrlSetOnEvent(-1, "PLNlabelClick")
$PLNinput = GUICtrlCreateInput("0", 248, 104, 145, 21)
GUICtrlSetOnEvent(-1, "PLNinputChange")
$StatusLabel = GUICtrlCreateLabel("Edit and [enter] to convert.", 8, 136, 200, 25)
GUICtrlSetFont(-1, 10, 400, 0, "Arial Unicode MS")
GUICtrlSetOnEvent(-1, "StatusLabelClick")
$RefreshButton = GUICtrlCreateButton("Refresh", 208, 136, 81, 25, $WS_GROUP)
GUICtrlSetOnEvent(-1, "RefreshButtonClick")
$AboutButton = GUICtrlCreateButton("About", 296, 136, 51, 25, $WS_GROUP)
GUICtrlSetOnEvent(-1, "AboutButtonClick")
$TipMeButton = GUICtrlCreateButton("Tip me", 352, 136, 43, 25, $WS_GROUP)
GUICtrlSetOnEvent(-1, "TipMeButtonClick")
GUISetState(@SW_SHOW)
#endregion ### END Koda GUI section ###


$bad = False
$BTC = IniRead("BTConvert.ini", "rates", "BTC", -1)
$EUR = IniRead("BTConvert.ini", "rates", "EUR", -1)
$GBP = IniRead("BTConvert.ini", "rates", "GBP", -1)
$AUD = IniRead("BTConvert.ini", "rates", "AUD", -1)
$LD = IniRead("BTConvert.ini", "rates", "LD", -1)
$GAU = IniRead("BTConvert.ini", "rates", "GAU", -1)
$RUB = IniRead("BTConvert.ini", "rates", "RUB", -1)
$CAD = IniRead("BTConvert.ini", "rates", "CAD", -1)
$PLN = IniRead("BTConvert.ini", "rates", "PLN", -1)

While 1
	RefreshButtonClick()
	Sleep(1000 * 60 * 5)
WEnd

Func AboutButtonClick()
	MsgBox(64, "About", "BTConvert v10 by Tritonio" & @CRLF & "http://www.inshame.com" & @CRLF & "Copyright 2010-2012 Konstantinos Asimakis" & @CRLF & "Source code freely available." & @CRLF & @CRLF & "Exchange rates by Mt. Gox, openexchangerates.org, dgcsc.org and VirWox." & @CRLF & "Exchange rates are auto-updated every 30 minutes." & @CRLF & "Click the Refresh button to manually refresh the rates." & @CRLF & "If you don't know what some of the currencies are, just click on their symbols to open a related page in your browser." & @CRLF & @CRLF & "Thanks go to Andrzej for adding PLN and testing v7.")
EndFunc   ;==>AboutButtonClick

Func ChangeData($input, $value)
	If $input == $BTCinput Then $decimals = IniRead("BTConvert.ini", "decimals", "BTC", 4)
	If $input == $USDinput Then $decimals = IniRead("BTConvert.ini", "decimals", "USD", 2)
	If $input == $EURinput Then $decimals = IniRead("BTConvert.ini", "decimals", "EUR", 2)
	If $input == $GBPinput Then $decimals = IniRead("BTConvert.ini", "decimals", "GBP", 2)
	If $input == $AUDinput Then $decimals = IniRead("BTConvert.ini", "decimals", "AUD", 2)
	If $input == $LDinput Then $decimals = IniRead("BTConvert.ini", "decimals", "LD", 2)
	If $input == $RUBinput Then $decimals = IniRead("BTConvert.ini", "decimals", "RUB", 2)
	If $input == $CADinput Then $decimals = IniRead("BTConvert.ini", "decimals", "CAD", 2)
	If $input == $GAUinput Then $decimals = IniRead("BTConvert.ini", "decimals", "GAU", 4)
	If $input == $PLNinput Then $decimals = IniRead("BTConvert.ini", "decimals", "PLN", 2)
	GUICtrlSetData($input, Round($value, $decimals))
EndFunc   ;==>ChangeData

Func AUDinputChange()
	ChangeData($BTCinput, GUICtrlRead($AUDinput) * ($AUD / $BTC))
	ChangeData($USDinput, GUICtrlRead($AUDinput) * $AUD)
	ChangeData($EURinput, GUICtrlRead($AUDinput) * ($AUD / $EUR))
	ChangeData($GBPinput, GUICtrlRead($AUDinput) * ($AUD / $GBP))
	ChangeData($AUDinput, GUICtrlRead($AUDinput) * 1)
	ChangeData($LDinput, GUICtrlRead($AUDinput) * ($AUD / $LD))
	ChangeData($GAUinput, GUICtrlRead($AUDinput) * ($AUD / $GAU))
	ChangeData($RUBinput, GUICtrlRead($AUDinput) * ($AUD / $RUB))
	ChangeData($CADinput, GUICtrlRead($AUDinput) * ($AUD / $CAD))
	ChangeData($PLNinput, GUICtrlRead($AUDinput) * ($AUD / $PLN))
EndFunc   ;==>AUDinputChange

Func AUDlabelClick()
	ShellExecute("https://secure.wikimedia.org/wikipedia/en/wiki/Australian_dollar")
EndFunc   ;==>AUDlabelClick

Func BTCinputChange()
	ChangeData($BTCinput, GUICtrlRead($BTCinput) * 1)
	ChangeData($USDinput, GUICtrlRead($BTCinput) * $BTC)
	ChangeData($EURinput, GUICtrlRead($BTCinput) * ($BTC / $EUR))
	ChangeData($GBPinput, GUICtrlRead($BTCinput) * ($BTC / $GBP))
	ChangeData($AUDinput, GUICtrlRead($BTCinput) * ($BTC / $AUD))
	ChangeData($LDinput, GUICtrlRead($BTCinput) * ($BTC / $LD))
	ChangeData($GAUinput, GUICtrlRead($BTCinput) * ($BTC / $GAU))
	ChangeData($RUBinput, GUICtrlRead($BTCinput) * ($BTC / $RUB))
	ChangeData($CADinput, GUICtrlRead($BTCinput) * ($BTC / $CAD))
	ChangeData($PLNinput, GUICtrlRead($BTCinput) * ($BTC / $PLN))
EndFunc   ;==>BTCinputChange

Func BTClabelClick()
	ShellExecute("http://www.bitcoin.org")
EndFunc   ;==>BTClabelClick

Func BTConvertClose()
	GUISetState(@SW_HIDE)
EndFunc   ;==>BTConvertClose

Func BTConvertMaximize()

EndFunc   ;==>BTConvertMaximize

Func BTConvertMinimize()

EndFunc   ;==>BTConvertMinimize

Func BTConvertRestore()

EndFunc   ;==>BTConvertRestore

Func EURinputChange()
	ChangeData($BTCinput, GUICtrlRead($EURinput) * ($EUR / $BTC))
	ChangeData($USDinput, GUICtrlRead($EURinput) * $EUR)
	ChangeData($EURinput, GUICtrlRead($EURinput) * 1)
	ChangeData($GBPinput, GUICtrlRead($EURinput) * ($EUR / $GBP))
	ChangeData($AUDinput, GUICtrlRead($EURinput) * ($EUR / $AUD))
	ChangeData($LDinput, GUICtrlRead($EURinput) * ($EUR / $LD))
	ChangeData($GAUinput, GUICtrlRead($EURinput) * ($EUR / $GAU))
	ChangeData($RUBinput, GUICtrlRead($EURinput) * ($EUR / $RUB))
	ChangeData($CADinput, GUICtrlRead($EURinput) * ($EUR / $CAD))
	ChangeData($PLNinput, GUICtrlRead($EURinput) * ($EUR / $PLN))
EndFunc   ;==>EURinputChange

Func EURlabelClick()
	ShellExecute("https://secure.wikimedia.org/wikipedia/en/wiki/Eur")
EndFunc   ;==>EURlabelClick

Func GAUinputChange()
	ChangeData($BTCinput, GUICtrlRead($GAUinput) * ($GAU / $BTC))
	ChangeData($USDinput, GUICtrlRead($GAUinput) * $GAU)
	ChangeData($EURinput, GUICtrlRead($GAUinput) * ($GAU / $EUR))
	ChangeData($GBPinput, GUICtrlRead($GAUinput) * ($GAU / $GBP))
	ChangeData($AUDinput, GUICtrlRead($GAUinput) * ($GAU / $AUD))
	ChangeData($LDinput, GUICtrlRead($GAUinput) * ($GAU / $LD))
	ChangeData($GAUinput, GUICtrlRead($GAUinput) * 1)
	ChangeData($RUBinput, GUICtrlRead($GAUinput) * ($GAU / $RUB))
	ChangeData($CADinput, GUICtrlRead($GAUinput) * ($GAU / $CAD))
	ChangeData($PLNinput, GUICtrlRead($GAUinput) * ($GAU / $PLN))
EndFunc   ;==>GAUinputChange

Func GAUlabelClick()
	ShellExecute("http://www.pecunix.com/")
EndFunc   ;==>GAUlabelClick

Func GBPinputChange()
	ChangeData($BTCinput, GUICtrlRead($GBPinput) * ($GBP / $BTC))
	ChangeData($USDinput, GUICtrlRead($GBPinput) * $GBP)
	ChangeData($EURinput, GUICtrlRead($GBPinput) * ($GBP / $EUR))
	ChangeData($GBPinput, GUICtrlRead($GBPinput) * 1)
	ChangeData($AUDinput, GUICtrlRead($GBPinput) * ($GBP / $AUD))
	ChangeData($LDinput, GUICtrlRead($GBPinput) * ($GBP / $LD))
	ChangeData($GAUinput, GUICtrlRead($GBPinput) * ($GBP / $GAU))
	ChangeData($RUBinput, GUICtrlRead($GBPinput) * ($GBP / $RUB))
	ChangeData($CADinput, GUICtrlRead($GBPinput) * ($GBP / $CAD))
	ChangeData($PLNinput, GUICtrlRead($GBPinput) * ($GBP / $PLN))
EndFunc   ;==>GBPinputChange

Func GBPlabelClick()
	ShellExecute("https://secure.wikimedia.org/wikipedia/en/wiki/Pound_sterling")
EndFunc   ;==>GBPlabelClick

Func LDinputChange()
	ChangeData($BTCinput, GUICtrlRead($LDinput) * ($LD / $BTC))
	ChangeData($USDinput, GUICtrlRead($LDinput) * $LD)
	ChangeData($EURinput, GUICtrlRead($LDinput) * ($LD / $EUR))
	ChangeData($GBPinput, GUICtrlRead($LDinput) * ($LD / $GBP))
	ChangeData($AUDinput, GUICtrlRead($LDinput) * ($LD / $AUD))
	ChangeData($LDinput, GUICtrlRead($LDinput) * 1)
	ChangeData($GAUinput, GUICtrlRead($LDinput) * ($LD / $GAU))
	ChangeData($RUBinput, GUICtrlRead($LDinput) * ($LD / $RUB))
	ChangeData($CADinput, GUICtrlRead($LDinput) * ($LD / $CAD))
	ChangeData($PLNinput, GUICtrlRead($LDinput) * ($LD / $PLN))
EndFunc   ;==>LDinputChange

Func LDlabelClick()
	ShellExecute("https://www.virwox.com/")
EndFunc   ;==>LDlabelClick

Func RUBinputChange()
	ChangeData($BTCinput, GUICtrlRead($RUBinput) * ($RUB / $BTC))
	ChangeData($USDinput, GUICtrlRead($RUBinput) * $RUB)
	ChangeData($EURinput, GUICtrlRead($RUBinput) * ($RUB / $EUR))
	ChangeData($GBPinput, GUICtrlRead($RUBinput) * ($RUB / $GBP))
	ChangeData($AUDinput, GUICtrlRead($RUBinput) * ($RUB / $AUD))
	ChangeData($LDinput, GUICtrlRead($RUBinput) * ($RUB / $LD))
	ChangeData($GAUinput, GUICtrlRead($RUBinput) * ($RUB / $GAU))
	ChangeData($RUBinput, GUICtrlRead($RUBinput) * 1)
	ChangeData($CADinput, GUICtrlRead($RUBinput) * ($RUB / $CAD))
	ChangeData($PLNinput, GUICtrlRead($RUBinput) * ($RUB / $PLN))
EndFunc   ;==>RUBinputChange

Func RUBlabelClick()
	ShellExecute("https://secure.wikimedia.org/wikipedia/en/wiki/Russian_ruble")
EndFunc   ;==>RUBlabelClick

Func CADinputChange()
	ChangeData($BTCinput, GUICtrlRead($CADinput) * ($CAD / $BTC))
	ChangeData($USDinput, GUICtrlRead($CADinput) * $CAD)
	ChangeData($EURinput, GUICtrlRead($CADinput) * ($CAD / $EUR))
	ChangeData($GBPinput, GUICtrlRead($CADinput) * ($CAD / $GBP))
	ChangeData($AUDinput, GUICtrlRead($CADinput) * ($CAD / $AUD))
	ChangeData($LDinput, GUICtrlRead($CADinput) * ($CAD / $LD))
	ChangeData($GAUinput, GUICtrlRead($CADinput) * ($CAD / $GAU))
	ChangeData($RUBinput, GUICtrlRead($CADinput) * ($CAD / $RUB))
	ChangeData($CADinput, GUICtrlRead($CADinput) * 1)
	ChangeData($PLNinput, GUICtrlRead($CADinput) * ($CAD / $PLN))
EndFunc   ;==>CADinputChange

Func CADlabelClick()
	ShellExecute("https://secure.wikimedia.org/wikipedia/en/wiki/Canadian_dollar")
EndFunc   ;==>CADlabelClick

Func PLNinputChange()
	ChangeData($BTCinput, GUICtrlRead($PLNinput) * ($PLN / $BTC))
	ChangeData($USDinput, GUICtrlRead($PLNinput) * $PLN)
	ChangeData($EURinput, GUICtrlRead($PLNinput) * ($PLN / $EUR))
	ChangeData($GBPinput, GUICtrlRead($PLNinput) * ($PLN / $GBP))
	ChangeData($AUDinput, GUICtrlRead($PLNinput) * ($PLN / $AUD))
	ChangeData($LDinput, GUICtrlRead($PLNinput) * ($PLN / $LD))
	ChangeData($GAUinput, GUICtrlRead($PLNinput) * ($PLN / $GAU))
	ChangeData($RUBinput, GUICtrlRead($PLNinput) * ($PLN / $RUB))
	ChangeData($CADinput, GUICtrlRead($PLNinput) * ($PLN / $CAD))
	ChangeData($PLNinput, GUICtrlRead($PLNinput) * 1)
EndFunc   ;==>PLNinputChange

Func PLNlabelClick()
	ShellExecute("https://secure.wikimedia.org/wikipedia/en/wiki/Polish_z%C5%82oty")
EndFunc   ;==>PLNlabelClick

Func RefreshButtonClick()
	$bad = False
	GUICtrlSetData($StatusLabel, "Getting exchange data...")
	getcombined()
	$BTC = getUSDperBTC()
	$EUR = getUSDperEUR()
	$GBP = getUSDperGBP()
	$AUD = getUSDperAUD()
	$LD = getUSDperLD()
	$GAU = getUSDperGAU()
	$RUB = getUSDperRUB()
	$CAD = getUSDperCAD()
	$PLN = getUSDperPLN()
	If $bad Then
		GUICtrlSetData($StatusLabel, "Some rates were not refreshed.")
	Else
		GUICtrlSetData($StatusLabel, "Edit and [enter] to convert.")
	EndIf
EndFunc   ;==>RefreshButtonClick

Func StatusLabelClick()

EndFunc   ;==>StatusLabelClick

Func TipMeButtonClick()
	If 6 == MsgBox(32 + 4, "Tip me", "If you like BTConvert you may leave a small BTC tip at 1JmiWV8jkReYYKfpNZvN5YaCRnwtMVk4ce. :-)" & @CRLF & "Do you want that address to be copied to the clipboard?") Then
		ClipPut("1JmiWV8jkReYYKfpNZvN5YaCRnwtMVk4ce")
	EndIf
EndFunc   ;==>TipMeButtonClick

Func USDinputChange()
	ChangeData($BTCinput, GUICtrlRead($USDinput) / $BTC)
	ChangeData($USDinput, GUICtrlRead($USDinput) * 1)
	ChangeData($EURinput, GUICtrlRead($USDinput) / $EUR)
	ChangeData($GBPinput, GUICtrlRead($USDinput) / $GBP)
	ChangeData($AUDinput, GUICtrlRead($USDinput) / $AUD)
	ChangeData($LDinput, GUICtrlRead($USDinput) / $LD)
	ChangeData($GAUinput, GUICtrlRead($USDinput) / $GAU)
	ChangeData($RUBinput, GUICtrlRead($USDinput) / $RUB)
	ChangeData($CADinput, GUICtrlRead($USDinput) / $CAD)
	ChangeData($PLNinput, GUICtrlRead($USDinput) / $PLN)
EndFunc   ;==>USDinputChange

Func USDlabelClick()
	ShellExecute("https://secure.wikimedia.org/wikipedia/en/wiki/United_States_dollar")
EndFunc   ;==>USDlabelClick
